SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001328SiT!inbound emailpublic2010-05-21 15:382011-06-12 16:25
Reporternicdev 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.60 LTS 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001328: Inbound email limited to recognise only up to incident # 99999
DescriptionThe inbound email script can only recognise [incidentid] less than or = 99 999 due to:

// Extract Incident ID
        if (preg_match('/\[(\d{1,5})\]/', $subject, $m))
TagsNo tags attached.
Attached Files

- Relationships
related to 0000049resolvedpaulh Custom incident reference 

-  Notes
User avatar (0003171)
paulh (administrator)
2010-05-22 15:56

Yeap can confirm

Theres no reason really to limit this to 5 chars, perhaps remove this limit for 3.62
User avatar (0003380)
nicdev (developer)
2010-08-27 15:11

Ivan, did we ever do this for 3.62??
User avatar (0003381)
ivan (administrator)
2010-08-27 16:15

Nope, not that I know of. Still outstanding AFAIK.
User avatar (0003488)
paulh (administrator)
2010-11-30 21:06

Need to increase from 5 digits
User avatar (0003494)
paulh (administrator)
2010-12-04 12:15

incident_id_from_subject() in lib/incident.inc.php also needs changing as this has the same regex - perhaps auto should use this function?
User avatar (0003915)
ivan (administrator)
2011-06-12 16:25

Fixed in Git bd3b8e4: Recognise incident numbers with more than 5 digits in subject lines of incoming mail, also use the function incident_id_from_subject() which was written (Thanks Kieran) but unused for some reason.

- Issue History
Date Modified Username Field Change
2010-05-21 15:38 nicdev New Issue
2010-05-22 15:56 paulh Note Added: 0003171
2010-05-22 15:56 paulh Status new => confirmed
2010-08-27 15:11 nicdev Status confirmed => assigned
2010-08-27 15:11 nicdev Assigned To => ivan
2010-08-27 15:11 nicdev Note Added: 0003380
2010-08-27 15:11 nicdev Status assigned => feedback
2010-08-27 16:15 ivan Note Added: 0003381
2010-11-30 21:06 paulh Note Added: 0003488
2010-11-30 21:06 paulh Assigned To ivan =>
2010-11-30 21:06 paulh Status feedback => confirmed
2010-11-30 21:06 paulh Relationship added related to 0000049
2010-12-04 12:15 paulh Note Added: 0003494
2011-06-08 23:07 ivan Assigned To => ivan
2011-06-08 23:07 ivan Status confirmed => assigned
2011-06-09 08:40 ivan Target Version => 3.90beta1
2011-06-12 16:25 ivan Note Added: 0003915
2011-06-12 16:25 ivan Status assigned => resolved
2011-06-12 16:25 ivan Fixed in Version => Current GIT
2011-06-12 16:25 ivan Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker